## gupnp-dlna-restriction

gupnp-dlna-restriction

## Functions

GUPnPDLNARestriction * | gupnp_dlna_restriction_copy ()
void | gupnp_dlna_restriction_free ()
gboolean | gupnp_dlna_restriction_is_empty ()
gchar * | gupnp_dlna_restriction_to_string ()
const gchar * | gupnp_dlna_restriction_get_mime ()
GHashTable * | gupnp_dlna_restriction_get_entries ()

## Object Hierarchy

        GBoxed
        ╰── GUPnPDLNARestriction

## Description

## Functions

### gupnp_dlna_restriction_copy ()

    GUPnPDLNARestriction *
    gupnp_dlna_restriction_copy (GUPnPDLNARestriction *restriction);

#### Parameters

restriction | A restriction to copy. | [transfer none]

#### Returns

A copy of `restriction` .

[transfer full]

### gupnp_dlna_restriction_free ()

    void
    gupnp_dlna_restriction_free (GUPnPDLNARestriction *restriction);

Frees `restriction` .

#### Parameters

restriction | A restriction to free. |

### gupnp_dlna_restriction_is_empty ()

    gboolean
    gupnp_dlna_restriction_is_empty (GUPnPDLNARestriction *restriction);

#### Parameters

restriction | A restriction. | [transfer none]

#### Returns

`TRUE` if `restriction` is empty and has no MIME type, otherwise `FALSE`.

### gupnp_dlna_restriction_to_string ()

    gchar *
    gupnp_dlna_restriction_to_string (GUPnPDLNARestriction *restriction);

Creates a string representation of `restriction` .

#### Parameters

restriction | A restriction. | [transfer none]

#### Returns

A string representation of `restriction` . Free with `g_free()` when not needed.

[transfer full]

### gupnp_dlna_restriction_get_mime ()

    const gchar *
    gupnp_dlna_restriction_get_mime (GUPnPDLNARestriction *restriction);

Gets `restriction` 's MIME type.

#### Parameters

restriction | A restriction. | [transfer none]

#### Returns

MIME type. Do not modify.

[transfer none]

### gupnp_dlna_restriction_get_entries ()

    GHashTable *
    gupnp_dlna_restriction_get_entries (GUPnPDLNARestriction *restriction);

Gets `restriction` 's entries. It is a string to GUPnPDLNAValueList mapping.

#### Parameters

restriction | A restriction. | [transfer none]

#### Returns

Entries. Do not modify.

[transfer none][element-type utf8 GUPnPDLNAValueList]